---
lang: en
title: 'API docs: core.islifecycleobserverclass'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.islifecycleobserverclass.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [isLifeCycleObserverClass](./core.islifecycleobserverclass.md)

## isLifeCycleObserverClass() function

Test if a class implements LifeCycleObserver

<b>Signature:</b>

```typescript
export declare function isLifeCycleObserverClass(ctor: Constructor<unknown>): ctor is Constructor<LifeCycleObserver>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  ctor | <code>Constructor&lt;unknown&gt;</code> | A class |

<b>Returns:</b>

`ctor is Constructor<LifeCycleObserver>`


